> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
> Use this file to discover all available pages before exploring further.

# get_pools_by_a_vault_lp



## OpenAPI

````yaml /api-reference/damm-v1/openapi.json post /pools_by_a_vault_lp
openapi: 3.0.3
info:
  title: dynamic-amm-keeper
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://damm-api.meteora.ag
    description: DAMM Mainnet API
  - url: https://damm-api.devnet.meteora.ag
    description: DAMM Devnet API
security: []
paths:
  /pools_by_a_vault_lp:
    post:
      tags:
        - Pools
      summary: get_pools_by_a_vault_lp
      operationId: get_pools_by_a_vault_lp
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PoolPostRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoolResponse'
components:
  schemas:
    PoolPostRequest:
      type: object
      required:
        - address
      properties:
        address:
          type: array
          items:
            type: string
    PoolResponse:
      allOf:
        - $ref: '#/components/schemas/Metrics'
        - type: object
          required:
            - pool_address
            - pool_token_mints
            - pool_token_amounts
            - pool_token_usd_amounts
            - lp_mint
            - pool_tvl
            - farm_tvl
            - farming_apy
            - is_monitoring
            - pool_order
            - farm_order
            - pool_version
            - pool_name
            - lp_decimal
            - farm_reward_duration_end
            - farm_expire
            - pool_lp_price_in_usd
            - trade_apy
            - weekly_trade_apy
            - daily_base_apy
            - weekly_base_apy
            - farm_new
            - permissioned
            - unknown
            - total_fee_pct
            - is_lst
            - is_forex
            - created_at
          properties:
            created_at:
              type: integer
              format: int64
            daily_base_apy:
              type: string
            farm_expire:
              type: boolean
            farm_new:
              type: boolean
            farm_order:
              type: integer
              format: int64
            farm_reward_duration_end:
              type: integer
              format: int64
              minimum: 0
            farm_tvl:
              type: string
            farming_apy:
              type: string
            farming_pool:
              type: string
              nullable: true
            is_forex:
              type: boolean
            is_lst:
              type: boolean
            is_monitoring:
              type: boolean
            lp_decimal:
              type: integer
              format: int64
            lp_mint:
              type: string
            permissioned:
              type: boolean
            pool_address:
              type: string
            pool_lp_price_in_usd:
              type: string
            pool_name:
              type: string
            pool_order:
              type: integer
              format: int64
            pool_token_amounts:
              type: array
              items:
                type: string
            pool_token_mints:
              type: array
              items:
                type: string
            pool_token_usd_amounts:
              type: array
              items:
                type: string
            pool_tvl:
              type: string
            pool_version:
              type: integer
              format: int32
            total_fee_pct:
              type: string
            trade_apy:
              type: string
            unknown:
              type: boolean
            weekly_base_apy:
              type: string
            weekly_trade_apy:
              type: string
      description: Response for /pools
    Metrics:
      allOf:
        - $ref: '#/components/schemas/SwapMetrics'
        - $ref: '#/components/schemas/SwapMetrics'
        - type: object
          required:
            - yield_volume
            - accumulated_trading_volume
            - accumulated_fee_volume
            - accumulated_yield_volume
          properties:
            accumulated_fee_volume:
              type: number
              format: double
              description: Accumulated fee volume
            accumulated_trading_volume:
              type: number
              format: double
              description: Accumulated trading volume
            accumulated_yield_volume:
              type: number
              format: double
              description: Accumulated yield volume
            yield_volume:
              type: string
              description: 24H Yield generated from the vault
      description: Subfield for pool response in /pools, it contain metrics for each pool
    SwapMetrics:
      type: object
      required:
        - trading_volume
        - fee_volume
      properties:
        fee_volume:
          type: number
          format: double
        trading_volume:
          type: number
          format: double

````